base de donn=c3=a9es interne

Le
docanski
Bonjour,

Jusqu'il y a quelques années, j'utilisais une base de données interne
pour mes essais.
Et puis lors des mises à niveau, j'ai finalement perdu de vue, n'en
ayant plus le besoin.
Et puis j'ai oublié jusqu'à son nom, application alors disponible dans
les dépôts.
Quelqu'un peut me rafraîchir la mémoire ? Je cherche en effet une suite
complète rétro-compatible avec PHP4 afin de mettre quelques scripts au
point.
Merci d'avance !
--
docanski

Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Doug713705
Le #26466061
Le 28-02-2018, docanski nous expliquait dans
fr.comp.os.linux.configuration
(
Bonjour,
Jusqu'il y a quelques années, j'utilisais une base de données interne
pour mes essais.
Et puis lors des mises à niveau, j'ai finalement perdu de vue, n'en
ayant plus le besoin.
Et puis j'ai oublié jusqu'à son nom, application alors disponible dans
les dépôts.
Quelqu'un peut me rafraîchir la mémoire ? Je cherche en effet une suite
complète rétro-compatible avec PHP4 afin de mettre quelques scripts au
point.

Je n'ai rien compris.
Tu cherches quoi exactement ? Un moteur de base de données ? un outil
pour consulter/éditer une base de données ? Quel est le rapport avec PHP
? Une suite complète de quoi ?
Par ailleurs oublie PHP4, c'est _beaucoup_ trop vieux. Ça fait 10 ans
que ce n'est plus maintenu et ça m'étonnerait qu'une distribution le
fournisse encore sur une release actuelle..
Merci d'avance !

De rien.
--
Je ne connaîtrai rien de tes habitudes
Il se peut même que tu sois décédée
Mais j'demanderai ta main pour la couper
-- H.F. Thiéfaine, L'ascenceur de 22H43
Christophe PEREZ
Le #26466070
Le Wed, 28 Feb 2018 17:29:43 +0000, Doug713705 a écrit :
Je n'ai rien compris.

Ça me rassure...
Vegga
Le #26466074
Le 28/02/2018 à 14:58, docanski a écrit :
Bonjour,
Jusqu'il y a quelques années, j'utilisais une base de données interne
pour mes essais.
Et puis lors des mises à niveau, j'ai finalement perdu de vue, n'en
ayant plus le besoin.
Et puis j'ai oublié jusqu'à son nom, application alors disponible dans
les dépôts.
Quelqu'un peut me rafraîchir la mémoire ? Je cherche en effet une suite
complète rétro-compatible avec PHP4 afin de mettre quelques scripts au
point.
Merci d'avance !

Heu .....
fait une recherche avec :
LAMP ou WAMP
---
Cet email a fait l'objet d'une analyse antivirus par AVG.
http://www.avg.com
docanski
Le #26466098
Christophe PEREZ a écrit le 28/02/2018 à 20:54 :
Le Wed, 28 Feb 2018 17:29:43 +0000, Doug713705 a écrit :
Je n'ai rien compris.

Ça me rassure...

Ah bon ? Cela me paraissait pourtant clair : un environnement complet
destiné au développement web comportant un serveur Web, un système de
gestion de base de données SQL et supportant le langage PHP.
A l'époque où je faisais du développement, j'utilisais EasyPHP (alors
sous Ouindo$e) mais je ne trouve pas un équivalent pour Linux en général
et Debian en particulier.
Le besoin de la rétro-compatibilité avec PHP4 s'explique par le fait que
tous mes scripts étaient écrits alors avec cette version. Et comme je
n'ai ni envie, ni encore la mémoire et les anciens réflexes, je ne
souhaite évidemment pas devoir les réécrire ... si c'est possible.
(j'espère avoir été plus clair sur ce coup ?)
--
docanski
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
Sergio
Le #26466105
Le 01/03/2018 à 10:36, docanski a écrit :
Ah bon ? Cela me paraissait pourtant clair : un environnement complet destiné au développement web comportant un serveur Web, un système de gestion de base de données SQL et supportant le langage PHP.
A l'époque où je faisais du développement, j'utilisais EasyPHP (alors sous Ouindo$e) mais je ne trouve pas un équivalent pour Linux en général et Debian en particulier.


Pourtant c'est claire : Un OS, Linux (L), un serveur web, Apache (A), une base de données, MySql (M) et un lange de script, PHP (P), ça fait LAMP.
Pour Ubuntu (pour ton niveau, Debian c'est trop ardu) voir : https://doc.ubuntu-fr.org/lamp
Le besoin de la rétro-compatibilité avec PHP4 s'explique par le fait que tous mes scripts étaient écrits alors avec cette version. Et comme je n'ai ni envie, ni encore la mémoire et les anciens
réflexes, je ne souhaite évidemment pas devoir les réécrire ... si c'est possible.

Oublie PHP 4 : Plein de trous de sécurité qui ne seront jamais corrigés... On en est à PHP 7.
--
Serge http://cahierdesergio.free.fr/
Soutenez le libre: http://www.framasoft.org
JC_Et
Le #26466104
Le 01/03/2018 à 10:36, docanski a écrit :
Le besoin de la rétro-compatibilité avec PHP4 s'explique

- la branche PHP 4 est morte et enterrée depuis le 07/08/2008 ;)
https://secure.php.net/supported-versions.php
php 7.2 actuellement
--
JC E.
docanski
Le #26466123
Sergio a écrit le 01/03/2018 à 10:51 :
Pour Ubuntu (pour ton niveau, Debian c'est trop ardu)

Sympa ! :-(
J'utilise Debian depuis la version 7 ...
--
docanski
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
docanski
Le #26466122
JC_Et a écrit le 01/03/2018 à 10:59 :
- la branche PHP 4 est morte et enterrée depuis le 07/08/2008  ;)

Et pourtant certains fournisseurs d'espace (free, notamment) le
supportent toujours : j'ai encore plusieurs applications en ligne qui
fonctionnent parfaitement.
--
docanski
Guide des champignons d'Europe : http://mycorance.free.fr/
La vallée de la Rance maritime : http://valderance.free.fr/
Les côtes du nord de la Bretagne : http://docarmor.free.fr/
Forum boursier : http://docanski.free.fr/boursomania/
Doug713705
Le #26466126
Le 01-03-2018, docanski nous expliquait dans
fr.comp.os.linux.configuration
(
Je n'ai rien compris.

Ça me rassure...

Ah bon ? Cela me paraissait pourtant clair : un environnement complet
destiné au développement web comportant un serveur Web, un système de
gestion de base de données SQL et supportant le langage PHP.
A l'époque où je faisais du développement, j'utilisais EasyPHP (alors
sous Ouindo$e) mais je ne trouve pas un équivalent pour Linux en général
et Debian en particulier.

C'est beaucoup plus clair.
Comme d'autres te l'ont signalé l'équivalent sous Linux de EasyPHP est
ce qu'on appelle la plateforme LAMP:
- Un système sous Linux (ça tu l'as déjà)
- Un serveur Apache (apt-get install apache2)
- Un serveur de base de données (Mysql mais aujourd'hui ce sera plutôt
MariaDB mais c'est compatible: apt-get install mariadb)
- Le langage de programation PHP (apt-get install php5, ou version
supérieure)
Ensuite il faut configurer tout ça. Ce n'est pas bien compliqué et il
existe des centaines de tutoriels et documentation sur le net.
Le besoin de la rétro-compatibilité avec PHP4 s'explique par le fait que
tous mes scripts étaient écrits alors avec cette version. Et comme je
n'ai ni envie, ni encore la mémoire et les anciens réflexes, je ne
souhaite évidemment pas devoir les réécrire ... si c'est possible.
(j'espère avoir été plus clair sur ce coup ?)

Là par contre il n'y aucune chance. Au mieux ce sera php5.
Mais pousses-tu vraiment PHP dans ces retranchements au point d'avoir
des soucis de rétrocompatibilité ?
Pour tout ce qui est fonctions de base, il ne devrait pas y avoir tant de
problème que ça (Un spécialiste PHP confirmera ou infirmera ce dernier
propos. Pour ma part je n'ai pas touché PHP depuis PHP3 et je ne m'en
porte que mieux).
--
A l'ombre de vos centrales je crache mon cancer
Je cherche un nouveau nom pour ma métamorphose
Je sais que mes enfants s'appelleront vers de terre
-- H.F. Thiéfaine, Aligator 427
Doug713705
Le #26466127
Le 01-03-2018, docanski nous expliquait dans
fr.comp.os.linux.configuration
(
JC_Et a écrit le 01/03/2018 à 10:59 :
- la branche PHP 4 est morte et enterrée depuis le 07/08/2008  ;)

Et pourtant certains fournisseurs d'espace (free, notamment) le
supportent toujours : j'ai encore plusieurs applications en ligne qui
fonctionnent parfaitement.


C'est très probablement parce que les versions installées sont
rétro-compatibles.
Il est peu probable qu'un FAI ait encore du PHP4 accessible au public.
--
Je ne connaîtrai rien de tes habitudes
Il se peut même que tu sois décédée
Mais j'demanderai ta main pour la couper
-- H.F. Thiéfaine, L'ascenceur de 22H43
Publicité
Poster une réponse
Anonyme